function DiagnosisLogController()
{
  this.saveCommand   = 'commands/saveDiagnosisLog.php';
  this.viewURL = 'views/diagnosisLog.php';

  this.viewController = new ViewController('diagnosisLogFrame');
  this.clearRequest = new ServerRequest('commands/clearDiagnosisLog.php');
  
  this.shadowBox = this.viewController.shadowBox;
  
  this.init();
}

DiagnosisLogController.prototype.init = function init()
{
  var clearButton = getElement('clearDiagnosisLog');
  clearButton.controller = this;
  clearButton.action = function ()
  {
    this.controller.promptToClearLog(translate('MSG_DIAGNOSIS_LOG'), this.controller);
  }

  var saveButton = getElement('saveDiagnosisLog');
  saveButton.controller = this;
  saveButton.action = function ()
  {
    Frontend.saveDialog.openDialog((translate('MSG_SAVE') + ' ' + translate('MSG_DIAGNOSIS_LOG')), 'diagnosislog', this.controller);
  }
  
  this.clearRequest.controller = this;
  this.clearRequest.callback = function ()
  {
    this.controller.refreshFrame();
  }
}

DiagnosisLogController.prototype.refreshFrame = function refreshFrame()
{
  this.viewController.setURL(this.viewURL);
}

DiagnosisLogController.prototype.promptToClearLog = function promptToClearLog(title)
{
  var controller = this;
  var dialog = Frontend.dialog;
  dialog.toggleBadge(false);
  dialog.setHeader(title);
  dialog.toggleHeader(true);
  dialog.setContent(translate('MSG_CLEAR_LOG_CONFIRMATION'));
  dialog.toggleContent(true);
  dialog.clearButtons();
  dialog.addButton(translate('MSG_OK'), null, function ()
  {
    dialog.hide();
    controller.clearLog();
  });
  dialog.addButton(translate('MSG_CANCEL'), null, function ()
  {
    dialog.hide();
  });
  dialog.toggleButtons(true);
  dialog.show();
}

DiagnosisLogController.prototype.clearLog = function clearLog()
{
  this.clearRequest.send();
}

DiagnosisLogController.prototype.appendSaveInfo = function appendSaveInfo(request)
{
  return false;
}